import { Socket, Server } from "socket.io";
import {TSocket} from "../types/TSocket";
import {Character} from "@prisma/client";
import CharacterRepository from "../repositories/CharacterRepository";

export default function CharacterList(socket: TSocket, io: Server) {
    socket.on('character:list', async (data: any) => {
        let user_id = socket.user?.id as number;
        let characters: Character[] = await CharacterRepository.getByUserId(user_id) as Character[];

        socket.emit('character:list', characters);
    });
}